
Name:    telepathy-kde-contact-list
Summary: Telepathy contact list application 
Version: 0.1.0
Release: 2%{?dist}

License: GPLv2+
URL:     https://projects.kde.org/projects/playground/network/telepathy/telepathy-contact-list 
Source0: http://download.kde.org/unstable/telepathy-kde/%{version}/src/telepathy-kde-contact-list_%{version}.tar.bz2

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel
BuildRequires: telepathy-qt4-devel

Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}
Requires: telepathy-kde-accounts-kcm

%description
%{summary}.


%prep
%setup -q -n %{name}_%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/telepathy-kde-contactlist.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%files
%doc COPYING 
%{_kde4_bindir}/telepathy-kde-contactlist
%{_kde4_appsdir}/ktelepathy/
%{_kde4_datadir}/applications/kde4/telepathy-kde-contactlist.desktop
%{_kde4_iconsdir}/hicolor/*/*/*


%changelog
* Wed Sep 14 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-2
- fix Source0 URL
- fix mixed tabs/spaces

* Fri Aug 12 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-1
- first try


